# WebAssemblyFlags | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface WebAssemblyFlags

#### Hierarchy

- WebAssemblyFlags

- Defined in env.ts:12

#####
Index

### Properties

initTimeout?
numThreads?
proxy?
simd?
wasmPaths?

## Properties

### `Optional` initTimeout

initTimeout?: number

Set or get a number specifying the timeout for initialization of WebAssembly backend, in milliseconds. A zero value indicates no timeout is set.

### Default Value

`0`

- Defined in env.ts:38

### `Optional` numThreads

numThreads?: number

set or get number of thread(s). If omitted or set to 0, number of thread(s) will be determined by system. If set to 1, no worker thread will be spawned.

This setting is available only when WebAssembly multithread feature is available in current context.

### Default Value

`0`

- Defined in env.ts:21

### `Optional` proxy

proxy?: boolean

Set or get a boolean value indicating whether to proxy the execution of main thread to a worker thread.

### Default Value

`false`

- Defined in env.ts:51

### `Optional` simd

simd?: boolean

set or get a boolean value indicating whether to enable SIMD. If set to false, SIMD will be forcely disabled.

This setting is available only when WebAssembly SIMD feature is available in current context.

### Default Value

`true`

- Defined in env.ts:30

### `Optional` wasmPaths

wasmPaths?: WasmPrefixOrFilePaths

Set a custom URL prefix to the .wasm files or a set of overrides for each .wasm file. The override path should be an absolute path.

- Defined in env.ts:44

Generated using TypeDoc